目标
GET https://analytics.ipcidr.com/api/goals/
curl --request GET \
--url 'https://analytics.ipcidr.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/goals/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| website_id | 可选 整数 | |
| type | 可选 字符串 | 允许的值:pageview, custom |
| search | 可选 字符串 | 搜索字符串。 |
| search_by | 可选 字符串 | 按什么字段搜索。允许的值为:name, path, key。 |
| datetime_field | 可选 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选 字符串 | 从此日期时间开始筛选结果。Y-m-d H:i:s 格式。 |
| datetime_end | 可选 字符串 | 筛选到此日期时间为止的结果。Y-m-d H:i:s 格式。 |
| order_by | 可选 字符串 | 按什么字段排序结果。允许的值为:goal_id, last_datetime, datetime, name, path, key。 |
| order_type | 可选 字符串 | 结果的排序方式。允许的值为:ASC 升序,DESC 降序。 |
| page | 可选 整数 | 你想要结果的页码。默认为 1。 |
| results_per_page | 可选 整数 | 每页结果数。允许的值为:10, 25, 50, 100, 250, 500, 1000。默认为 25。 |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-06-04 02:03:46",
"last_datetime": null
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://analytics.ipcidr.com/api/goals?page=1",
"last": "https://analytics.ipcidr.com/api/goals?page=1",
"next": null,
"prev": null,
"self": "https://analytics.ipcidr.com/api/goals?page=1"
}
}
GET https://analytics.ipcidr.com/api/goals/{goal_id}
curl --request GET \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"key": "123456789",
"type": "custom",
"path": null,
"name": "Example",
"datetime": "2026-06-04 02:03:46",
"last_datetime": null
}
}
POST https://analytics.ipcidr.com/api/goals
| 参数 | 详情 | 描述 |
|---|---|---|
| website_id | 必填 整数 | - |
| type | 必填 字符串 | 允许的值:pageview, custom |
| name | 必填 字符串 | - |
| path | 可选 字符串 | 可用条件:type = pageview |
| key | 可选 字符串 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-06-04 02:03:46' \
--url 'https://analytics.ipcidr.com/api/goals' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'chart_datetime=2026-06-04 02:03:46' \
{
"data": {
"id": 1
}
}
POST https://analytics.ipcidr.com/api/goals/{goal_id}
| 参数 | 详情 | 描述 |
|---|---|---|
| website_id | 可选 整数 | - |
| type | 可选 字符串 | 允许的值:pageview, custom |
| name | 可选 字符串 | - |
| path | 可选 字符串 | 可用条件:type = pageview |
| key | 可选 字符串 | - |
curl --request POST \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://analytics.ipcidr.com/api/goals/{goal_id}
curl --request DELETE \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analytics.ipcidr.com/api/goals/{goal_id}' \
--header 'Authorization: Bearer {api_key}' \